=== debian/control ===
Source: ros-lunar-swri-nodelet
Section: misc
Priority: extra
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-nodelet, ros-lunar-rosbash, ros-lunar-roscpp, ros-lunar-rostest, ros-lunar-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-swri-nodelet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-nodelet, ros-lunar-rosbash, ros-lunar-roscpp, ros-lunar-std-msgs
Description: This package provides a simple script to write simple launch files that can easily switch between running nodelets together or as standalone nodes.
